"""Units SyncNode"""

from ...common.sync_node import SyncNode
from schemas.project_extensions.generator_unit import GeneratorUnitProject


class UnitsSyncNode(SyncNode[GeneratorUnitProject]):
    """机组同步节点"""
    node_type = "units"
    schema = GeneratorUnitProject
    
    def __init__(self, **kwargs):
        super().__init__(**kwargs)
